> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vol



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/Tradable/GetVol
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/Tradable/GetVol:
    post:
      tags:
        - Tradable
      summary: Get vol
      operationId: GetVol
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetVolRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetVolRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetVolRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetVolRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetVolResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetVolRequest:
      example:
        surface:
          benchmark_fwd_factors:
            - 1.4658129805029452
            - 1.4658129805029452
          smiles:
            - 9.301444243932576
            - 9.301444243932576
          benchmark_maturities:
            - 5
            - 5
          vols:
            - 2.027123023002322
            - 2.027123023002322
          call_wings:
            - 5.637376656633329
            - 5.637376656633329
          reference_date: '2000-01-23T04:56:07.000+00:00'
          spot_ref: 3.616076749251911
          put_wings:
            - 2.3021358869347655
            - 2.3021358869347655
          skews:
            - 7.061401241503109
            - 7.061401241503109
        maturity: 4
        strikes:
          - 6.027456183070403
          - 6.027456183070403
        strike_type: 0
      properties:
        strike_type:
          format: int32
          type: integer
        strikes:
          items:
            format: double
            type: number
          nullable: true
          type: array
        surface:
          $ref: '#/components/schemas/VolatilitySurfaceSvi'
        maturity:
          format: int32
          type: integer
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.ApiGetVolRequest, Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetVolResponse:
      example:
        vols:
          - 6.027456183070403
          - 6.027456183070403
        strike_type: 0
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        strike_type:
          format: int32
          type: integer
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Tradables.ApiGetVolResponse, Derivitec.Web.Core
      required:
        - $type
      type: object
    VolatilitySurfaceSvi:
      discriminator:
        mapping:
          Derivitec.Web.Core.MarketData.VolatilitySurfaceSvi, Derivitec.Web.Core: '#/components/schemas/VolatilitySurfaceSviMintlifyShape'
          Derivitec.Web.Core.MarketData.BondVolSurface, Derivitec.Web.Core: '#/components/schemas/BondVolSurface'
          Derivitec.Web.Core.MarketData.CmdtyVolSurface, Derivitec.Web.Core: '#/components/schemas/CmdtyVolSurface'
          Derivitec.Web.Core.MarketData.DividendIndexVolSurface, Derivitec.Web.Core: '#/components/schemas/DividendIndexVolSurface'
          Derivitec.Web.Core.MarketData.EquityVolIndexVolSurface, Derivitec.Web.Core: '#/components/schemas/EquityVolIndexVolSurface'
          Derivitec.Web.Core.MarketData.EquityVolSurface, Derivitec.Web.Core: '#/components/schemas/EquityVolSurface'
          Derivitec.Web.Core.MarketData.FxVolSurface, Derivitec.Web.Core: '#/components/schemas/FxVolSurface'
        propertyName: $type
      oneOf:
        - $ref: '#/components/schemas/VolatilitySurfaceSviMintlifyShape'
        - $ref: '#/components/schemas/BondVolSurface'
        - $ref: '#/components/schemas/CmdtyVolSurface'
        - $ref: '#/components/schemas/DividendIndexVolSurface'
        - $ref: '#/components/schemas/EquityVolIndexVolSurface'
        - $ref: '#/components/schemas/EquityVolSurface'
        - $ref: '#/components/schemas/FxVolSurface'
    VolatilitySurfaceSviMintlifyShape:
      example:
        benchmark_fwd_factors:
          - 1.4658129805029452
          - 1.4658129805029452
        smiles:
          - 9.301444243932576
          - 9.301444243932576
        benchmark_maturities:
          - 5
          - 5
        vols:
          - 2.027123023002322
          - 2.027123023002322
        call_wings:
          - 5.637376656633329
          - 5.637376656633329
        reference_date: '2000-01-23T04:56:07.000+00:00'
        spot_ref: 3.616076749251911
        put_wings:
          - 2.3021358869347655
          - 2.3021358869347655
        skews:
          - 7.061401241503109
          - 7.061401241503109
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.VolatilitySurfaceSvi,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    BondVolSurface:
      example:
        futures_market_id: futures_market_id
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        futures_market_id:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.BondVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    CmdtyVolSurface:
      example:
        commodity_id:
          name: name
          exchange: exchange
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        commodity_id:
          $ref: '#/components/schemas/CommodityId'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CmdtyVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    DividendIndexVolSurface:
      example:
        dividend_index_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        dividend_index_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.DividendIndexVolSurface,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolIndexVolSurface:
      example:
        eq_vol_index_id:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        eq_vol_index_id:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.EquityVolIndexVolSurface,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    EquityVolSurface:
      example:
        asset_name:
          code: code
          market_identification_code: market_identification_code
          identifier_type: Derivitec
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        asset_name:
          $ref: '#/components/schemas/InstrumentIdentifier'
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.EquityVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    FxVolSurface:
      example:
        fx_pair: fx_pair
        is_quoted_fx_vol: true
      properties:
        provider_id:
          nullable: true
          type: string
        benchmark_fwd_factors:
          items:
            format: double
            type: number
          nullable: true
          type: array
        benchmark_maturities:
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        call_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        put_wings:
          items:
            format: double
            type: number
          nullable: true
          type: array
        reference_date:
          format: date-time
          type: string
        skews:
          items:
            format: double
            type: number
          nullable: true
          type: array
        smiles:
          items:
            format: double
            type: number
          nullable: true
          type: array
        spot_ref:
          format: double
          type: number
        vols:
          items:
            format: double
            type: number
          nullable: true
          type: array
        fx_pair:
          nullable: true
          type: string
        is_quoted_fx_vol:
          type: boolean
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.FxVolSurface, Derivitec.Web.Core
      required:
        - $type
      type: object
    CommodityId:
      example:
        name: name
        exchange: exchange
      properties:
        name:
          nullable: true
          type: string
        exchange:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.MarketData.CommodityId, Derivitec.Web.Core
      required:
        - $type
      type: object
    InstrumentIdentifier:
      example:
        code: code
        market_identification_code: market_identification_code
        identifier_type: Derivitec
      properties:
        code:
          nullable: true
          type: string
        identifier_type:
          enum:
            - Derivitec
            - Ric
            - Bloomberg
            - Isin
            - Figi
            - Sedol
            - RedCode
            - RedPairCode
            - BloombergYellow
            - XIgniteCode
            - CBondsId
            - EdiSecId
            - EdiSymbol
            - NotSet
          type: string
        market_identification_code:
          nullable: true
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.InstrumentIdentifier,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````